# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate bzip2-sys
%global upstream_version 0.1.11+1.0.8

Name:           rust-%{crate}
Version:        0.1.11
Release:        3%{?dist}
Summary:        Bindings to libbzip2 for bzip2 exposed as Reader/Writer streams

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bzip2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Initial patched metadata
# * remove bzip2 version suffix
Patch0:         bzip2-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Bindings to libbzip2 for bzip2 compression and decompression exposed as
Reader/Writer streams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(bzip2)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# remove bundled bzip2
rm -vr bzip2-1.0.8
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(bzip2)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.11-1
- Update to version 0.1.11.
- Fixes RHBZ#1970138

* Mon Feb 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.10-1
- Update to version 0.1.10.
- Fixes RHBZ#1923764

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9+1.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9+1.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.9+1.0.8-2
- devel should also pull in pkgconfig(bzip2)

* Sun Jun 14 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.9+1.0.8-1
- Update to 0.1.9
- add link to PR for license texts

* Sat May 23 13:16:34 PDT 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.8+1.0.8-1
- Initial package
